/*
 * GEOServerCallibrationFrom.java
 *
 * Created on 18  2007 ., 23:00
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package com.substanceofcode.bluetooth;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.TextField;

/**
 *
 * @author PAV
 */
public class GEOServerCalibrationForm extends Form implements CommandListener 
{
    
    private GEOServerGPSClient GEOServerClient;
    
    private Command m_okCommand;
    private Command m_cancelCommand;

    private TextField m_GeodesyPointID;
    private TextField m_UserPassword;
    
    private GPSFixData CalibrationData;
        
    /** Creates a new instance*/
    public GEOServerCalibrationForm(GEOServerGPSClient pGEOServerClient) {
        super("Calibration");
        //.
        GEOServerClient = pGEOServerClient;
        //.
        initializeCommands();        
        initializeControls();
        this.setCommandListener(this);
    }

    public void SetCalibrationData(double Lat, double Long, double Precision)
    {
        CalibrationData = new GPSFixData();
        CalibrationData.Latitude = Lat;
        CalibrationData.Longitude = Long;
        CalibrationData.Precision = Precision;
    }
    
    /** Initialize commands */
    private void initializeCommands() {
        m_okCommand = new Command("OK", Command.SCREEN, 1);
        this.addCommand( m_okCommand );
        m_cancelCommand = new Command("Cancel", Command.SCREEN, 2);
        this.addCommand( m_cancelCommand );
    }

    /** Handle commands */
    public void commandAction(Command command, Displayable displayable) {
        if(command==m_okCommand) {
            GEOServerClient.CalibrationGeodesyPointID = Integer.parseInt(m_GeodesyPointID.getString());
            GEOServerClient.CalibrationUserPassword = m_UserPassword.getString();
            //. calibrate it
            try
            {
                GEOServerClient.CalibrateGeodesyPoint(CalibrationData);
            }
            catch (Exception E)
            {
                return; //. ->
            }
            // Return 
            GEOServerClient.controller.showTrail();
        }
        
        if(command==m_cancelCommand) {
            // Return 
            GEOServerClient.controller.showTrail();
        }
    }

    /** Initialize form controls */
    private void initializeControls() 
    {
        m_GeodesyPointID = new TextField("Geodesy point ID", Integer.toString(GEOServerClient.CalibrationGeodesyPointID), 32, TextField.NUMERIC);
        this.append(m_GeodesyPointID);
        m_UserPassword = new TextField("User password", GEOServerClient.CalibrationUserPassword, 32, TextField.ANY);
        this.append(m_UserPassword);        
    }
    
}
