/*
 * GEOServerGPSClientCFGForm.java
 *
 * Created on 1  2007 ., 19:31
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package com.substanceofcode.bluetooth;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.TextField;

/**
 *
 * @author PAV
 */
public class GEOServerGPSClientCFGForm extends Form implements CommandListener 
{
    
    private GEOServerGPSClient GEOServerClient;
    
    private Command m_okCommand;
    private Command m_cancelCommand;

    private TextField m_ServerURLField;
    private TextField m_GPSFixThreshold_MaxDistance;
    private TextField m_GPSFixThreshold_UpdateInterval;
    private TextField m_ObjectIDField;
    private TextField m_ObjectUserPasswordField;
        
    /** Creates a new instance of ExportSettingsForm */
    public GEOServerGPSClientCFGForm(GEOServerGPSClient pGEOServerClient) {
        super("Server config");
        //.
        GEOServerClient = pGEOServerClient;
        //.
        initializeCommands();        
        initializeControls();
        this.setCommandListener(this);
    }

    /** Initialize commands */
    private void initializeCommands() {
        m_okCommand = new Command("OK", Command.SCREEN, 1);
        this.addCommand( m_okCommand );
        m_cancelCommand = new Command("Cancel", Command.SCREEN, 2);
        this.addCommand( m_cancelCommand );
    }

    /** Handle commands */
    public void commandAction(Command command, Displayable displayable) {
        if(command==m_okCommand) {
            // Save settings
            String ServerURL = m_ServerURLField.getString();
            String _GPSFixThreshold_MaxDistance = m_GPSFixThreshold_MaxDistance.getString();
            String _GPSFixThreshold_UpdateInterval = m_GPSFixThreshold_UpdateInterval.getString();
            GEOServerClient.ServerURL = ServerURL;
            GEOServerClient.GPSFixThreshold_MaxDistance = Integer.parseInt(_GPSFixThreshold_MaxDistance);
            GEOServerClient.GPSFixThreshold_UpdateInterval = Integer.parseInt(_GPSFixThreshold_UpdateInterval);
            String _ObjectID = m_ObjectIDField.getString();
            GEOServerClient.ObjectID = Integer.parseInt(_ObjectID);
            GEOServerClient.ObjectUserPassword = m_ObjectUserPasswordField.getString();
            GEOServerClient.SaveConfiguration();
            // Return to the settings list
            GEOServerClient.controller.showSettings();
        }
        
        if(command==m_cancelCommand) {
            // Return to the settings list
            GEOServerClient.controller.showSettings();
        }
    }

    /** Initialize form controls */
    private void initializeControls() 
    {
        m_ServerURLField = new TextField("GEO Server URL", GEOServerClient.ServerURL, 32, TextField.ANY);
        this.append(m_ServerURLField);
        m_GPSFixThreshold_MaxDistance = new TextField("Distance threshold (m)", Integer.toString(GEOServerClient.GPSFixThreshold_MaxDistance), 32, TextField.NUMERIC);
        this.append(m_GPSFixThreshold_MaxDistance);        
        m_GPSFixThreshold_UpdateInterval = new TextField("Update Interval (sec)", Integer.toString(GEOServerClient.GPSFixThreshold_UpdateInterval), 32, TextField.NUMERIC);
        this.append(m_GPSFixThreshold_UpdateInterval);        
        m_ObjectIDField = new TextField("Monitor object ID", Integer.toString(GEOServerClient.ObjectID), 32, TextField.NUMERIC);
        this.append(m_ObjectIDField);
        m_ObjectUserPasswordField = new TextField("Object user-password", GEOServerClient.ObjectUserPassword, 32, TextField.ANY);
        m_ObjectUserPasswordField.setConstraints(m_ObjectUserPasswordField.PASSWORD);
        this.append(m_ObjectUserPasswordField);
    }
    
}
